# Generated from sift_email_api-1.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sift_email_api

Name: rubygem-%{gem_name}
Version: 1.0.2
Release: 1%{?dist}
Summary: Ruby class for doing email parsing using EasilyDo's Sift API
License: MIT
URL: https://developer.edison.tech/sift/documentation
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
BuildArch: noarch

%description
Sift identifies certain types of emails and parses email content so you can
deliver a richer experience to your users. Sift can parse emails from a
variety of domains.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Wed Aug 25 2021 mockbuilder - 1.0.2-1
- Initial package
